Create a Line Item Ticket

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This endpoint is disabled by default for each business. Reach out to[email protected] to activate this endpoint.

Tickets can be created manually on the Dreamship Order Page, but businesses integrating Dreamship into their own platform can create tickets for line items through the API.

A successful ticket create will return the normal Order Data response which contains the line_item_ticket data. If you want to receive webhooks whenever a a ticket is opened and closed you can subscribe to the line-ticket-opened and line-ticket-closed webhook subscriptions.

This endpoint will not allow you to create a ticket unless the following conditions are met.

  • Order status is in ['partially_fulfilled', 'fulfilled', 'cancelled'].
  • Line item does not already have a ticket.
  • If reason is in ['wrong_item', 'damaged_item', 'missing_item', 'quality_issue', 'warranty'] there must be attachment files.
  • If reason is warranty the requested_action must be refund.
  • If reason is in ['warranty', 'missing_item', 'other'] the secondary_reason must be other.
  • If reason is quality_issue the secondary_reason must be in ['faded_colors', 'ink_issue', 'print_came_off_after_wash', 'print_misalignment', 'scratched_print', 'other'].
  • If reason is wrong_item the secondary_reason must be in ['wrong_color', 'wrong_size', 'wrong_style', 'other'].
  • If reason is damaged_item the secondary_reason must be in ['broken_item', 'scratched_print', 'hole_in_item', 'print_came_off_after_wash', 'other']
  • If reason is delivery_issue the secondary_reason must be in ['outdated_tracking', 'lost_in_transit', 'returned_to_sender', 'international_customs_issue', 'late_express_delivery', 'other'].
Path Params
string
required
string
required

A unique integer value identifying this line item.

Body Params
string
enum
required

The reason for the ticket.

Allowed:
string
enum
required

The secondary reason for the ticket.

string
enum
required

The action you would like Dreamship to take. "reprint" is not available for an order with the "prepaid" shipping method.

Allowed:
string | null

Notes to better explain the issue.

attachment_files
array of objects | null

Files to show the issue.

attachment_files
Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Response

Language
Credentials
Bearer
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json